summaryrefslogtreecommitdiffstats
path: root/src/ceph/qa/workunits/suites/wac.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/ceph/qa/workunits/suites/wac.sh')
-rwxr-xr-xsrc/ceph/qa/workunits/suites/wac.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/ceph/qa/workunits/suites/wac.sh b/src/ceph/qa/workunits/suites/wac.sh
new file mode 100755
index 0000000..49b4f14
--- /dev/null
+++ b/src/ceph/qa/workunits/suites/wac.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -ex
+
+wget http://download.ceph.com/qa/wac.c
+gcc -o wac wac.c
+set +e
+timeout 5m ./wac -l 65536 -n 64 -r wac-test
+RET=$?
+set -e
+[[ $RET -eq 124 ]]
+echo OK